Skip to content

Get One Content

GET /public/content/{contentId}

Retrieve full details for a specific piece of content, including metadata, statistics, and media attachments.

Endpoint Details

  • Authentication: Basic Auth (Authorization: Basic Base64(AccessKey:SecretKey))
  • Access Tier: Gold+

Parameters

ParameterTypeRequiredDescription
contentIdstringYesThe unique identifier of the content/post.
accountIdstringYesThe unique ID of the account.

Example Request

bash
curl -X GET "https://api.repliz.com/public/content/113958387982006_942538351814577?accountId=680affa5ce12f2f72916f67e" \
  -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"
javascript
import axios from 'axios';

const contentId = '113958387982006_942538351814577';

const response = await axios.get(`https://api.repliz.com/public/content/${contentId}`, {
  params: {
    accountId: '680affa5ce12f2f72916f67e'
  },
  auth: {
    username: 'YOUR_ACCESS_KEY',
    password: 'YOUR_SECRET_KEY'
  }
});

console.log(response.data);
javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');

const contentId = '113958387982006_942538351814577';

const response = await fetch(`https://api.repliz.com/public/content/${contentId}`, {
  headers: {
    'Authorization': `Basic ${credentials}`
  }
});

const data = await response.json();
console.log(data);

Response

json
{
  "id": "113958387982006_916614914406921",
  "title": "Tiga Permintaan Nabi Sulaiman Setelah Membangun Masjid Al-Aqsa Kisah Nabi Sulaiman",
  "description": "Rasulullah menyebutkan tiga permohonan yang diajukan Nabi Sulaiman setelah membangun Baitul Maqdis (Masjid Al-Aqsa): hukum yang sesuai hukum Allah kerajaan yang tidak dimiliki orang lain dan pengampunan dosa bagi yang salat di sana.\nVideo Lengkap Cek Bio",
  "topic": "",
  "type": "video",
  "owner": {
    "id": "113958387982006",
    "name": "Halaman ke 3",
    "picture": "https://scontent-cgk2-1.xx.fbcdn.net/v/t39.30808-1/281663458_113958441315334_..."
  },
  "medias": [
    {
      "type": "video",
      "thumbnail": "https://scontent.fbdo9-1.fna.fbcdn.net/v/t15.5256-10/631085875_26891844103749...",
      "url": "https://scontent.fbdo9-1.fna.fbcdn.net/o1/v/t2/f2/m366/AQP50FFJDOWngZ-8wXiUM9..."
    }
  ],
  "url": "https://facebook.com/113958387982006_916614914406921",
  "createdAt": "2026-02-13T00:39:31.000Z",
  "hasAutomation": false
}
json
// Account
{
  "code": 404,
  "message": "account not found"
}

// Content
{
  "code": 404,
  "message": "content not found"
}
json
{
  "code": 401,
  "message": "unauthorized"
}